Rika: vases… waves

‘Option Explicit
‘Script written by mark.bearak
‘Script modified by rika chaudhry
‘Script copyrighted by dtls.Architecture
‘Script version Tuesday, October 28, 2008

Call Main()
Sub Main()
 Dim arrPlane, arrPlane2, i, j, strCrv(), strInnerCrv()
 Dim intWidth : intWidth  = 8
 Dim intMatWidth : intMatWidth = .25
 Dim intTopWid : intTopWid = intWidth – 2
 For j = 0 To 5
  For i = 0 To 10
   ReDim Preserve strCrv(i)
   ReDim Preserve strInnerCrv(i)
   arrPlane = Rhino.PlaneFromPoints (Array(0,j*35,i*(j+1)), Array(1,j*35,i*(j+1)), Array(0,j*35+1,i*(j+1)))
   arrPlane2 = Rhino.PlaneFromPoints (Array(i+j,j*35,i*(j+1)), Array(i+j+1,j*35,i*(j+1)), Array(i+j,j*35+1,i*(j+1)))
   If i=j-4 Or i=j-2 Or i=j Or i=j+2 Or i=j+4  Then
    strCrv(i) = Rhino.Addellipse (arrPlane, intWidth+i-j,intWidth+i)
    strInnerCrv(i) = Rhino.Addellipse (arrPlane, intWidth+i-j-intMatWidth,intWidth+i-intMatWidth)
   Else
    strCrv(i) = Rhino.AddCircle (arrPlane2, intWidth+j-intTopWid)
    strInnerCrv(i) = Rhino.AddCircle (arrPlane2, intWidth+j-intTopWid-intMatWidth)
   End If
  Next
  Call Rhino.AddLoftSrf (strCrv,,,2)
  Call Rhino.AddLoftSrf (strInnerCrv,,,2)
  Call Rhino.deleteobjects (strCrv)
 Next
End Sub

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s